Bug 246364 - Squid doesn't work with tmpfs
Summary: Squid doesn't work with tmpfs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-01 02:23 UTC by James Antill
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:10:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Antill 2007-07-01 02:23:19 UTC
Description of problem:
 Using my config. for squid, which I'm pretty sure worked as default in Fedora
Core 6, I get:

type=AVC msg=audit(1183255836.329:549): avc:  denied  { read write } for  pid=45
31 comm="squid" name="SYSV0046cc02" dev=tmpfs ino=1759647 scontext=user_u:system
_r:squid_t:s0 tcontext=user_u:object_r:tmpfs_t:s0 tclass=file
type=SYSCALL msg=audit(1183255836.329:549): arch=c000003e syscall=30 success=yes
 exit=-1427845120 a0=490000 a1=0 a2=0 a3=3c1f94b9d0 items=0 ppid=4529 pid=4531 a
uid=500 uid=23 gid=23 euid=23 suid=0 fsuid=23 egid=23 sgid=23 fsgid=23 tty=(none
) comm="squid" exe="/usr/sbin/squid" subj=user_u:system_r:squid_t:s0 key=(null)
type=AVC_PATH msg=audit(1183255836.329:549):  path=2F535953563030343663633032202
864656C6574656429


Version-Release number of selected component (if applicable):
# rpm -q squid selinux-policy                                    ~
squid(7:2.6.STABLE13-1.fc7).x86_64
selinux-policy(0:2.6.4-21.fc7).noarch


How reproducible:
 Always

Comment 1 Daniel Walsh 2007-07-02 01:40:34 UTC
Fixed in selinux-policy-2.6.4-24.fc7

Comment 2 Daniel Walsh 2007-08-22 14:10:45 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.